package me.omidius.omihealth;

import java.util.ArrayList;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.Material;
import org.bukkit.NamespacedKey;
import org.bukkit.inventory.ItemFlag;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.ShapedRecipe;
import org.bukkit.inventory.meta.ItemMeta;
import org.bukkit.plugin.java.JavaPlugin;


public class Main extends JavaPlugin{

	@Override
	public void onEnable() {
		this.getCommand("omihealth").setExecutor(new Commands(this));
		this.getServer().getPluginManager().registerEvents(new Events(this), this);
		Bukkit.addRecipe(getRecipe());
		this.saveDefaultConfig();
	}

	@Override
	public void onDisable() {

	}	
	
	public ShapedRecipe getRecipe() {
		if (this.getConfig().getBoolean("Options.upgrade-item-is-craftable") == true) {
			ItemStack item = new ItemStack(Material.EXPERIENCE_BOTTLE);
			ItemMeta meta = item.getItemMeta();
			meta.setDisplayName(ChatColor.WHITE + "Health Upgrade");
			meta.addItemFlags(ItemFlag.HIDE_ATTRIBUTES);
			ArrayList<String> lore = new ArrayList<String>();
			lore.add(ChatColor.GRAY + "Consume me to gain");
			lore.add(ChatColor.GRAY + "some extra health!");
			meta.setLore(lore);
			item.setItemMeta(meta);

			NamespacedKey key = new NamespacedKey(this,"health_upgrade");
			ShapedRecipe recipe = new ShapedRecipe(key,item);

			recipe.shape("ABC","DEF","GHI");
			recipe.setIngredient('A', Material.valueOf(getConfig().getString("Options.top-left")));
			recipe.setIngredient('B', Material.valueOf(getConfig().getString("Options.top-middle")));
			recipe.setIngredient('C', Material.valueOf(getConfig().getString("Options.top-right")));
			recipe.setIngredient('D', Material.valueOf(getConfig().getString("Options.middle-left")));
			recipe.setIngredient('E', Material.valueOf(getConfig().getString("Options.middle")));
			recipe.setIngredient('F', Material.valueOf(getConfig().getString("Options.middle-right")));
			recipe.setIngredient('G', Material.valueOf(getConfig().getString("Options.bottom-left")));
			recipe.setIngredient('H', Material.valueOf(getConfig().getString("Options.bottom-middle")));
			recipe.setIngredient('I', Material.valueOf(getConfig().getString("Options.bottom-right")));

			return recipe;
		}
		return null;
	}

}
